--萍山阴
function m044_2()
if	flag.GetValue(6001)==441	then

func_start(0,0,0)

--赋值
local nxh = 1
local nmhx = 11

--map.ChangeNoScript(1,1070)
--player.SetPos(1393,4745)

--夏侯
npc.Create(1,1,1506,4089)
--魔化瑕
npc.Create(53,11,2408,4674)
npc.SetAt(11,1,0)
--绑特效用
npc.Create(47,21,2194,4677)
npc.SetVisible(21,0)
npc.SetSEVisible(21,1)
npc.Create(47,22,2356,4538)
npc.SetVisible(22,0)
npc.SetSEVisible(22,1)
npc.Create(47,23,2356,4812)
npc.SetVisible(23,0)
npc.SetSEVisible(23,1)
npc.Create(47,24,2524,4744)
npc.SetVisible(24,0)
npc.SetSEVisible(24,1)
npc.Create(47,25,2524,4603)
npc.SetVisible(25,0)
npc.SetSEVisible(25,1)
--浮鼎（暂无）

camera.ResetLerp(0)
camera.ChangeCameraStatic(1565,2464,4557,1511,2458,4473)

--当前乐淡出
global.MusicFadeOut(7000,100,0)  

--夏侯跑
npc.RunTo(1,1462,4298,1)
--虚弱
npc.SetAnim(1,125)
global.Wait(2)
npc.SetHeadRot(1,0,-20,1,80)
global.Wait(0.5)
npc.SetHeadRot(1,0,0,0,100)
camera.ResetLerp(5000)
camera.ChangeCameraStatic(1565,2464,4557,1475,2456,4516)
npc.SetSpeed(1,1.2)
npc.SetAnimSpeed(1,120)
npc.MoveTo(1,1436,4500,1)
npc.SetSpeed(1,1)
npc.SetAnimSpeed(1,100)
npc.TurnToNpc(1,11,1)
--枯木浮起
global.SetMotionSpeed(10)
camera.ResetLerp(0)
camera.ChangeCameraStatic(2380,2442,4689,2467,2435,4641)
camera.ResetLerp(3000)
camera.ChangeCameraStatic(2380,2467,4689,2467,2460,4641)

global.PlayMusic(33,100,8000)--33魔翳乐

global.Wait(1)
npc.SetSpeed(11,0.2)
npc.FloatTo(11,2408,2437,4674,1)
global.SetMotionSpeed(100)
--施法
camera.ResetLerp(0)
camera.ChangeCameraStatic(2348,2447,4763,2403,2463,4681)
camera.ResetLerp(3000)
camera.ChangeCameraStatic(2385,2466,4780,2403,2473,4683)
npc.SetAnim(11,202)
global.Wait(1)
npc.SetAnimSpeed(1,90)
npc.CreateSE(11,2586)
npc.SetAnim(11,350,1)
npc.CreateSE(11,3449)

global.PlaySound(901,90)--魔球音效 

global.WaitForCameraLerp()
npc.SetAnimSpeed(1,100)
npc.SetAnim(11,202)
--大特效
camera.ResetLerp(1000)
camera.ChangeCameraStatic(2338,2829,5007,2351,2759,4938)
npc.CreateSE(21,3932)
npc.CreateSE(22,3932)
npc.CreateSE(23,3932)
npc.CreateSE(24,3932)
npc.CreateSE(25,3932)
global.Wait(2)
--夏侯抬头看
camera.ChangeCameraStatic(1379,2442,4533,1475,2455,4508)
npc.SetAnim(1,220,2)
global.Wait(1.2)
effect.FadeOut(1,5)
global.Wait(2)
--夏侯挪位
npc.SetPos(1,1642,4675)
npc.SetAtPos(1,2408,4674)
--浮鼎放倒,换成破碎祭坛
npc.SetVisible(31,0)
npc.Destroy(32)
npc.Destroy(33)  
npc.SetVisible(34,1)
global.Wait(2)
camera.ChangeCameraStatic(2324,2449,4623,2409,2467,4672)
camera.ResetLerp(8000)
camera.ChangeCameraStatic(2358,2449,4746,2413,2467,4664)
effect.FadeIn(1,0.7)
global.WaitForCameraLerp()
ui.Dialog(89686,511,2,nmhx,0,0)--不愧是完美的宿体。
ui.Dialog(85154,514,2,nmhx,0,0)--多年谋划，再过片刻，夜叉，终于可以——
ui.Dialog(85155,529,0,nxh,0,0)--枯木！
ui.Dialog(85156,512,2,nmhx,0,0)--！
npc.SetHeadRot(11,-20,10,1,90)
global.Wait(1)
camera.ChangeCameraStatic(2482,2476,4783,2402,2465,4723)
camera.ResetLerp(25000)
camera.ChangeCameraStatic(2481,2503,4724,2394,2470,4687)
npc.SetHeadRot(11,0,0,0,100)
npc.SetAt(11,-1,0)
--夏侯挪位
npc.SetPos(1,1882,4674)
npc.MoveTo(1,2149,4674)
global.Wait(0.5)
ui.Dialog_t(85157,511,2,nmhx,0,0,2)--……
global.WaitForNpcPos(1,2149,4674)
npc.SetHeadRot(1,0,-10,1,90)
global.Wait(0.5)
ui.Dialog(85158,511,2,nmhx,0,0)--瑾轩，我有教过你如此愚蠢吗？明知不是敌方的对手，仍旧孤身前来挑衅，与送死何异？
--夏侯备战
camera.ResetLerp(0)
camera.ChangeCameraStatic(2186,2464,4693,2095,2455,4651)
--装武器
a=player.GetWeaponModelID(1)
npc.SetAnim(1,101)
npc.AddRefItem(1,49,a)
ui.Dialog(85159,530,0,nxh,0,0)--我会阻止你。
ui.Dialog(85160,529,0,nxh,0,0)--无论付出什么代价，我绝对不会让你用瑕的身体胡作非为！
--枯木攻击
camera.ChangeCameraStatic(2338,2454,4744,2405,2469,4671)
npc.CreateSE(11,2154)

global.PlaySound(902,90)--普攻命中

npc.SetAnim(11,360,1)
--夏侯挨打虚弱
camera.ChangeCameraStatic(2238,2495,4685,2148,2454,4670)
npc.SetAnim(11,202)
npc.CreateSE(1,3929)
npc.SetHeadRot(1,0,0,0,100)

npc.SetAnim(1,231)
global.PlaySound(596,100)--夏侯惨叫，暂代
ui.Dialog_t(85161,531,0,nxh,0,0,1)--唔啊！

global.WaitForNpcAnim(1,231)
npc.SetAnim(1,125)
ui.Dialog(85162,517,0,nxh,0,0)--啊……哈啊……哈啊……
camera.ChangeCameraStatic(2486,2455,4736,2398,2473,4692)
camera.ResetLerp(20000)
camera.ChangeCameraStatic(2486,2455,4736,2397,2466,4691)
global.Wait(1)
npc.SetHeadRot(11,20,0,1,50)
global.Wait(0.3)
npc.SetHeadRot(11,-20,0,1,40)
global.Wait(0.3)
npc.SetHeadRot(11,0,0,1,50)
ui.Dialog(85163,511,2,nmhx,0,0)--瑾轩，以你这样的实力，要如何与我抗衡？
npc.SetHeadRot(1,0,-10,1,90)
ui.Dialog(85164,530,0,nxh,0,0)--离开她的身体！
global.Wait(1)
ui.Dialog(85165,514,2,nmhx,0,0)--呵呵，若不是我，这具身体本早该是一副白骨。
global.Wait(1)
camera.ResetLerp(0)
camera.ChangeCameraStatic(2199,2476,4687,2107,2445,4661)
--杀武器
npc.RemoveRefItem(nxh,49)
npc.SetAnim(1,200)
ui.Dialog(85166,528,0,nxh,0,0)--什么？！
global.Wait(1)
ui.Dialog(85167,526,0,nxh,0,0)--你说……什么！？
camera.ResetLerp(0)
camera.ChangeCameraStatic(2336,2459,4705,2426,2471,4663)
camera.ResetLerp(20000)
camera.ChangeCameraStatic(2354,2462,4697,2444,2474,4655)
global.Wait(2)
ui.Dialog(85168,511,2,nmhx,0,0)--……也罢，现在我的心情很好，就告诉你吧。
ui.Dialog(85169,512,2,nmhx,0,0)--六界之间，虽然有封印阻隔，但五灵气脉仍互相连通。数十年前，神魔之井动荡，使得六界水脉紊乱，魔界因而日益干旱。
ui.Dialog(85170,512,2,nmhx,0,0)--然而你们人界，却仍旧享有丰沛水源。
camera.ResetLerp(0)
camera.ChangeCameraStatic(2189,2463,4711,2112,2457,4647)
npc.SetAnim(1,242,2)
global.Wait(1)
ui.Dialog(85171,517,0,nxh,0,0)--这与瑕又有什么关系？！
camera.ChangeCameraStatic(2151,2463,4926,2188,2463,4834)
camera.ResetLerp(25000)
camera.ChangeCameraStatic(2363,2463,4929,2340,2467,4832)
ui.Dialog(85172,514,2,nmhx,0,0)--莫急，听故事要有耐心。
ui.Dialog(85173,513,2,nmhx,0,0)--人界水脉得天独厚，却被人类这弱小的种族所占据，我族却被困在魔界忍受干旱折磨。如此我绝不容许！
global.Wait(0.5)
npc.SetAnim(1,209)
ui.Dialog(85174,525,0,nxh,0,0)--你——
ui.Dialog(85175,512,2,nmhx,0,0)--虽然六界封印使得我无法离开魔界，但锁妖塔的封印每隔数年都会动摇减弱，引发两界动荡，使得六界封印变弱。
ui.Dialog(85176,512,2,nmhx,0,0)--因此我才能借助夜叉王室的越行之术，将缚魂玉散到人界，寻找能让我凭依的人界宿体。
ui.Dialog(85177,514,2,nmhx,0,0)--能承受缚魂术的人躯本就少之又少，而要令远隔两界的缚魂术成功，更需要刚死不久的尸身才可。
ui.Dialog(85178,514,2,nmhx,0,0)--多亏两界动荡引发的人界大地动，带来死伤无数，才让我寻到了两个合用的躯壳。
camera.ResetLerp(0)
camera.ChangeCameraStatic(2068,2459,4716,2160,2457,4675)
global.Wait(1)
npc.SetAnim(1,218)
ui.Dialog(85179,537,0,nxh,0,0)--这两具身体……就是二叔和瑕吗！？
camera.ResetLerp(20000)
camera.ChangeCameraStatic(2081,2459,4710,2172,2457,4669)
npc.SetHeadRot(11,0,-20,1,50)
global.Wait(0.2)
npc.SetHeadRot(11,0,0,1,40)
global.Wait(0.5)
ui.Dialog(85180,512,2,nmhx,0,0)--不错。只是当时这女孩还只是个婴儿，我自然选择了更合用的夏侯韬作为傀儡，他这夏侯世家的身份，可帮了我不少忙。
ui.Dialog(85181,512,2,nmhx,0,0)--而这弃用的身躯本该死亡，谁料我的缚魂术却使女孩的魂魄勉强留在了身体里，竟还让她长大成人。
ui.Dialog(85182,514,2,nmhx,0,0)--更妙的是，五年前那一天，当她出现在我眼前时，她身上的缚魂玉魔气与我共鸣，竟使得偶然前来夏侯家的姜承身上的蚩尤血脉开始觉醒——
ui.Dialog(85183,511,2,nmhx,0,0)--一日之间得到意料之外的宿体，和足可撼动武林的魔血棋子，呵呵呵，即便是我，也要喜出望外啊。
camera.ResetLerp(0)
camera.ChangeCameraStatic(2494,2529,4718,2408,2484,4693)
camera.ResetLerp(25000)
camera.ChangeCameraStatic(2494,2504,4718,2408,2484,4693)
global.Wait(0.5)
npc.SetAnim(1,200)
ui.Dialog(85184,530,0,nxh,0,0)--你……
global.Wait(0.5)
ui.Dialog(85185,512,2,nmhx,0,0)--魔物受魔血吸引而来，一再战斗更促使魔血激发，到得品剑大会，我不过稍加催使，姜承的蚩尤之力便爆发失控，呵呵。
global.Wait(0.5)
npc.SetAnim(1,209) 
ui.Dialog(85186,530,0,nxh,0,0)--然后……他便如你所愿，被赶出折剑，堕入……魔道！
global.Wait(1)
npc.SetAnim(1,200) 
ui.Dialog(85187,516,0,nxh,0,0)--那欧阳家的萧师兄想必也是被你——
ui.Dialog(85188,512,2,nmhx,0,0)--呵呵，不错。你们离开折剑山庄之后，虽然我不便一同行动，但有那个为了钱财无所不为的女人作为眼线，我还是可以掌握你们的情况。
ui.Dialog(85189,512,2,nmhx,0,0)--再因势利导，让你们保护我重要的棋子姜世离，助他一路走上净天教主之路。
global.Wait(1)
npc.SetAnim(1,226)
global.Wait(1)
ui.Dialog(85190,530,0,nxh,0,0)--你一直在……利用我们！！
camera.ResetLerp(0)
camera.ChangeCameraStatic(2366,2471,4731,2424,2470,4650)
ui.Dialog(85191,512,2,nmhx,0,0)--瑾轩，忘了我经常教导你的吗？\n若有所翼谋，那就定要细细谋划，步步为营，利用一切可利用之物。
ui.Dialog(85192,512,2,nmhx,0,0)--而且，姜世离会有今日，是我谋划的结果。但这个女孩，却是你送给我的惊喜啊。
camera.ChangeCameraStatic(2177,2484,4698,2108,2435,4646)
global.Wait(1)
npc.SetAnim(1,200) 
ui.Dialog(85193,530,0,nxh,0,0)--……你说什么？！
camera.ChangeCameraStatic(2347,2456,4698,2437,2478,4660)
ui.Dialog(85194,512,2,nmhx,0,0)--缚魂术的身体虽可让我依附在这具身体之上，但魂体联系终归不稳，无法发挥全部力量。
ui.Dialog(85195,512,2,nmhx,0,0)--可你竟然找到了办法，将这女孩身体与魄体的联系加固，于是这躯体变得可以承受我全部的力量。
ui.Dialog(85196,511,2,nmhx,0,0)--我该感谢你们，作为我在人界的凭依，真是没有比现在这个身体更理想的了。
camera.ResetLerp(0)
camera.ChangeCameraStatic(2108,2497,4730,2193,2465,4688)
npc.SetSpeed(1,1.3)
npc.SetAnimSpeed(1,130)
npc.SetHeadRot(1,0,0,0,100)
npc.MoveTo(1,2184,4674,1)
npc.SetSpeed(1,1)
npc.SetAnimSpeed(1,100)
ui.Dialog(85197,530,0,nxh,0,0)--你！你想用瑕的身体干什么？
camera.ChangeCameraStatic(2370,2460,4692,2455,2487,4646)
ui.Dialog(85198,514,2,nmhx,0,0)--有了这具身体，我就能在人界发挥完全的力量，打破神魔之井封印，让夜叉族君临人界！
camera.ChangeCameraStatic(2136,2471,4800,2204,2460,4728)
camera.ResetLerp(10000)
camera.ChangeCameraStatic(2148,2469,4788,2215,2458,4715)
global.Wait(2)
ui.Dialog(85199,525,2,nxh,0,0)--夜叉……是魔族？还有神魔之井封印……那净天教攻打锁妖塔也是你指使的？！
ui.Dialog(85200,511,2,nmhx,0,0)--姜世离听了我的“教诲”，一心想带净天教回归魔界，我不过是顺水推舟而已。
npc.SetAnim(1,242,1)
--装武器
a=player.GetWeaponModelID(1)
npc.SetAnim(1,101)
npc.AddRefItem(1,49,a)
npc.SetAnim(1,101)
ui.Dialog(85201,529,0,nxh,0,0)--你——你这个混蛋！
--夏侯攻击
camera.ResetLerp(0)
camera.ChangeCameraStatic(2235,2487,4696,2158,2435,4660)
npc.SetAnim(1,151)
global.WaitForNpcAnim(1,151)

global.PlaySound(550,80)--攻击 

npc.SetAnim(1,101)
npc.CreateSE(1,4749)
--枯木防御
camera.ChangeCameraStatic(2473,2486,4724,2388,2466,4676)
npc.SetAnim(11,370,1)
npc.CreateSE(11,31)
npc.CreateSE(11,4751)

global.PlaySound(580,80)--挨打 

npc.SetAnim(11,371,1)
npc.SetAnim(11,202)
ui.Dialog(85202,511,2,nmhx,0,0)--出手这么重，不怕伤了这具身体吗？
ui.Dialog(85203,530,0,nxh,0,0)--从瑕的身体里滚出去！
ui.Dialog(85204,511,2,nmhx,0,0)--何必如此愤怒？若是没有我，二十多年前夏侯韬也好，瑕也好，不就早已死了吗？

--当前乐淡出 
global.MusicFadeOut(5000,100,0)  

camera.ChangeCameraStatic(2362,2505,4738,2414,2460,4666)
global.Wait(2)
ui.Dialog(85205,512,2,nmhx,0,0)--故事说完了。\n瑾轩，念在我们叔侄二十余载，今日我不想要你的性命，你走吧。
camera.ChangeCameraStatic(2132,2456,4699,2223,2461,4659)
camera.ResetLerp(25000)
camera.ChangeCameraStatic(2138,2463,4697,2231,2457,4662)
global.Wait(2)
npc.SetAnim(1,218)
global.Wait(1)
ui.Dialog(85206,516,0,nxh,0,0)--……

global.PlayMusic(111,100,6000)--zd11 

ui.Dialog(85207,517,0,nxh,0,0)--不对……你在绝行天途还想杀了我们，为什么现在却一直不肯出手？
ui.Dialog(85208,517,0,nxh,0,0)--爹多年来将你当成真正的兄弟百般照顾，你还是对他下了毒手，叔侄之情又算得了什么？！
global.Wait(2)
ui.Dialog(85209,512,2,nmhx,0,0)--呵……
npc.SetAnim(1,200)
ui.Dialog(85210,530,0,nxh,0,0)--你……刚夺取了瑕的身体，还无法操控自如，所以才和我说这么多来拖延时间，是不是？
camera.ResetLerp(0)
camera.ChangeCameraStatic(2362,2457,4721,2425,2475,4646)
global.Wait(2)
ui.Dialog(85211,512,2,nmhx,0,0)--……不愧是我一手教养长大的孩子。可惜，以你的性格，断不可能归附我夜叉。
ui.Dialog(85212,512,2,nmhx,0,0)--这具身体现在虽然只能发挥我不足五成的修为，但要碾除你，还是绰绰有余。
camera.ChangeCameraStatic(2503,2543,4824,2432,2508,4762)
global.Wait(1.5)
npc.SetAnim(1,101)
ui.Dialog(85213,512,2,nmhx,0,0)--本想你现在已不足妨碍我的大业，让你多活几天也无妨……既然你如此不知进退，那就让你成为我夜叉族君临人界的第一个祭品吧。
--杀武器
npc.RemoveRefItem(nxh,49)

--进战斗

func_end(2148,2429,1)
battle.Begin(2019,515)--魔化瑕第一战

end

end




